<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>1.5.13.RELEASE</version>
        <relativePath/>
    </parent>
    <groupId>workflow822</groupId>
    <artifactId>workflow822</artifactId>
    <packaging>jar</packaging>
    <version>0.1</version>
    <name>workflow</name>
    <description></description>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <flex.messaging.version>7.1.4</flex.messaging.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.8.8</version>
        </dependency>
        <!--其他需要依赖的jar包-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-jdbc</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context-support</artifactId>
        </dependency>
        <dependency>
            <groupId>org.aspectj</groupId>
            <artifactId>aspectjrt</artifactId>
            <version>1.8.4</version>
        </dependency>
        <dependency>
            <groupId>org.aspectj</groupId>
            <artifactId>aspectjweaver</artifactId>
            <version>1.8.4</version>
        </dependency>
        <dependency>
            <groupId>backport-util-concurrent</groupId>
            <artifactId>backport-util-concurrent</artifactId>
            <version>3.1</version>
        </dependency>
        <dependency>
            <groupId>cglib</groupId>
            <artifactId>cglib</artifactId>
            <version>3.2.1</version>
        </dependency>
        <dependency>
            <groupId>commons-beanutils</groupId>
            <artifactId>commons-beanutils</artifactId>
            <version>1.8.3</version>
        </dependency>
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>1.10</version>
        </dependency>
        <dependency>
            <groupId>commons-collections</groupId>
            <artifactId>commons-collections</artifactId>
            <version>3.2.2</version>
        </dependency>
        <dependency>
            <groupId>commons-fileupload</groupId>
            <artifactId>commons-fileupload</artifactId>
            <version>1.3</version>
        </dependency>
        <dependency>
            <groupId>commons-httpclient</groupId>
            <artifactId>commons-httpclient</artifactId>
            <version>3.1</version>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.2</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>3.2.1</version>
        </dependency>
        <dependency>
            <groupId>commons-logging</groupId>
            <artifactId>commons-logging</artifactId>
            <version>1.1.1</version>
        </dependency>
        <dependency>
            <groupId>org.drools</groupId>
            <artifactId>drools-decisiontables</artifactId>
            <version>5.5.0.Final</version>
        </dependency>
        <dependency>
            <groupId>org.drools</groupId>
            <artifactId>drools-jsr94</artifactId>
            <version>5.5.0.Final</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
            <version>1.1.10</version>
        </dependency>
        <dependency>
            <groupId>org.eclipse.jdt.core.compiler</groupId>
            <artifactId>ecj</artifactId>
            <version>3.5.1</version>
        </dependency>
        <dependency>
            <groupId>net.sf.ehcache</groupId>
            <artifactId>ehcache-jgroupsreplication</artifactId>
            <version>1.7</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.51</version>
        </dependency>
        <dependency>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
            <version>2.3.22</version>
        </dependency>
        <dependency>
            <groupId>javax.servlet.jsp</groupId>
            <artifactId>javax.servlet.jsp-api</artifactId>
            <version>2.2.1</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>net.sf.json-lib</groupId>
            <artifactId>json-lib</artifactId>
            <version>2.4</version>
            <classifier>jdk15</classifier>
        </dependency>
        <dependency>
            <groupId>com.github.jsqlparser</groupId>
            <artifactId>jsqlparser</artifactId>
            <version>0.9.4</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>3.9</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>QLExpress</artifactId>
            <version>3.2.0</version>
        </dependency>
        <dependency>
            <groupId>org.yaml</groupId>
            <artifactId>snakeyaml</artifactId>
            <version>1.17</version>
        </dependency>
        <dependency>
            <groupId>org.antlr</groupId>
            <artifactId>stringtemplate</artifactId>
            <version>3.2.1</version>
        </dependency>
        <dependency>
            <groupId>org.apache.tomcat</groupId>
            <artifactId>tomcat-jdbc</artifactId>
            <version>7.0.73</version>
        </dependency>
        <dependency>
            <groupId>xom</groupId>
            <artifactId>xom</artifactId>
            <version>1.2.5</version>
        </dependency>
        <dependency>
            <groupId>xom</groupId>
            <artifactId>xom</artifactId>
            <version>1.2.5</version>
            <classifier>sources</classifier>
        </dependency>
        <dependency>
            <groupId>com.thoughtworks.xstream</groupId>
            <artifactId>xstream</artifactId>
            <version>1.4.1</version>
        </dependency>
        <dependency>
            <groupId>javax.jms</groupId>
            <artifactId>javax.jms-api</artifactId>
            <version>2.0.1</version>
        </dependency>


<!--        <dependency>-->
<!--            <groupId>com.oracle</groupId>-->
<!--            <artifactId>ojdbc6</artifactId>-->
<!--            <version>11.2.0.1.0</version>-->
<!--        </dependency>-->
        <dependency>
            <groupId>com.oracle.database.jdbc</groupId>
            <artifactId>ojdbc8</artifactId>
            <version>19.22.0.0</version>
        </dependency>

        <dependency>
            <groupId>com.oracle.database.nls</groupId>
            <artifactId>orai18n</artifactId>
            <version>19.22.0.0</version>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>com.dameng</groupId>-->
<!--            <artifactId>DmJdbcDriver18</artifactId>-->
<!--            <version>8.1.3.140</version>-->
<!--        </dependency>-->


        <!--2023-3-2 8.2流程引擎jar包 start-->
        <dependency>
            <groupId>flex-messaging</groupId>
            <artifactId>flex-messaging-common</artifactId>
            <version>${flex.messaging.version}</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/flex-messaging-common-7.1.4.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>flex-messaging</groupId>
            <artifactId>flex-messaging-core</artifactId>
            <version>${flex.messaging.version}</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/flex-messaging-core-7.1.4.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>flex-messaging</groupId>
            <artifactId>flex-messaging-proxy</artifactId>
            <version>${flex.messaging.version}</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/flex-messaging-proxy-7.1.4.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>flex-messaging</groupId>
            <artifactId>flex-messaging-remoting</artifactId>
            <version>${flex.messaging.version}</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/flex-messaging-remoting-7.1.4.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-designer-flowchart</artifactId>
            <version>8.0</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-designer-flowchart-8.0.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-extras</artifactId>
            <version>8.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-extras-8.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-framework</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-framework-8.2.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-language-zh_CN</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-language-zh_CN-8.2.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-language-en</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-language-en-8.2.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-language-pub</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-language-pub-8.2.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-plugins</artifactId>
            <version>8.0</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-plugins-8.0.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-tenant-extras</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-tenant-extras-8.2.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-workflow-conf</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-workflow-conf-8.2.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-workflow-core</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-workflow-core-8.2.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-workflow-designer</artifactId>
            <version>8.1</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-workflow-designer-8.1.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-workflow-extend</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-workflow-extend-8.2.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-workflow-pub</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-workflow-pub-8.2.2.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>com.horizon</groupId>
            <artifactId>horizon-workflow-xml</artifactId>
            <version>8.2.2</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/horizon/horizon-workflow-xml-8.2.2.jar</systemPath>
        </dependency>

        <!--2023-3-2 数据库驱动包 切换其他版本或者数据库类型时，修改这个驱动包-->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>5.1.38</version>
        </dependency>

        <!--2023-3-2 在线仓库中没有找到，所以放到工程下 -->
        <dependency>
            <groupId>java.memcached.release</groupId>
            <artifactId>java_memcached-release</artifactId>
            <version>2.6.6</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/other/java_memcached-release-2.6.6.jar</systemPath>
        </dependency>
        <dependency>
            <groupId>jsr94</groupId>
            <artifactId>jsr94</artifactId>
            <version>1.1</version>
            <scope>system</scope>
            <systemPath>${basedir}/lib/other/jsr94-1.1.jar</systemPath>
        </dependency>
    </dependencies>

    <!-- 打包规则 -->
    <build>
        <!--2023-3-2 打包的jar包名称 -->
        <finalName>${project.name}-${project.version}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>7</source>
                    <target>7</target>
                </configuration>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <targetPath>javafile</targetPath>
                <includes>
                    <include>**</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**</include>
                </includes>
            </resource>
        </resources>
    </build>

</project>
